These are chat archives for jruby-gradle/jruby-gradle-plugin

16th
Dec 2014
Schalk W. Cronjé
@ysb33r
Dec 16 2014 00:51 UTC
More commits in that PR
Schalk W. Cronjé
@ysb33r
Dec 16 2014 17:26 UTC
did you get a chance to try that change out?
R. Tyler Croy
@rtyler
Dec 16 2014 17:31 UTC
no, I was swamped with preparing for FOSDEM last night and listening to some new records :-!
Schalk W. Cronjé
@ysb33r
Dec 16 2014 17:31 UTC
haha
i’m consuming a new album as well
R. Tyler Croy
@rtyler
Dec 16 2014 17:35 UTC
I bought some records for my new record player, it was a fun evening
but mostly spent reviewing talk submissions for fosdem
Schalk W. Cronjé
@ysb33r
Dec 16 2014 17:44 UTC
I’ve fixed some of the other issues too. All queued up in that PR by now. Might need to cherry pick them if the original bootstrap one does not work.
R. Tyler Croy
@rtyler
Dec 16 2014 17:54 UTC
excellent, I will definitely have time tonight, promise!
R. Tyler Croy
@rtyler
Dec 16 2014 19:45 UTC
@ysb33r do you want to do jruby-gradle/jruby-gradle-plugin#88 before I release 0.1.10 of base?
R. Tyler Croy
@rtyler
Dec 16 2014 19:51 UTC
@ysb33r taking a look at jruby-gradle/jruby-gradle-jar-plugin#25 now too
might as well
Schalk W. Cronjé
@ysb33r
Dec 16 2014 20:19 UTC
OK lemme have a look
and I think it is 0.1.20 of base
R. Tyler Croy
@rtyler
Dec 16 2014 20:22 UTC
we're only at 0.1.9 thus far
Schalk W. Cronjé
@ysb33r
Dec 16 2014 20:23 UTC
yeah I was reading 0.19 in my mind
R. Tyler Croy
@rtyler
Dec 16 2014 20:23 UTC
or are you suggesting that we should get plugin-dev before 0.1.20? :P
heh
Schalk W. Cronjé
@ysb33r
Dec 16 2014 20:24 UTC
was dropping dots and just got confused
let me see what I can do about plugin-dev. I suggest push out base and I’ll try out plugin-dev just on jar for now. I’ll then release jar to see if it works
Schalk W. Cronjé
@ysb33r
Dec 16 2014 20:46 UTC
let’s rather release an update to jar as well before applying plugindev. I want to play with it for a bit first.
so just release base and jar when you’re ready
R. Tyler Croy
@rtyler
Dec 16 2014 21:16 UTC
do you want to make the jar version depend on 0.1.10 of base @ysb33r ?
Schalk W. Cronjé
@ysb33r
Dec 16 2014 21:20 UTC
I don’t think there is any dependency in there? The bootstrap fix in jar in unrelated to the the fixes in base I believe.
R. Tyler Croy
@rtyler
Dec 16 2014 21:22 UTC
yeah, there's not a dependency AFAICT but was more wondering if you wanted to
Schalk W. Cronjé
@ysb33r
Dec 16 2014 21:35 UTC
working with ruby classes in ruby is far for trivial !!
all I want to do is get an instance of the Rake class appearing as a Java object
R. Tyler Croy
@rtyler
Dec 16 2014 21:35 UTC
released!
Schalk W. Cronjé
@ysb33r
Dec 16 2014 21:37 UTC

released!

!!